package ru.ldeloff.servermonitorbot.service.command;

import org.springframework.stereotype.Service;
import org.telegram.telegrambots.meta.api.methods.send.SendMessage;
import ru.ldeloff.servermonitorbot.model.User;
import ru.ldeloff.servermonitorbot.service.role.RoleService;
import ru.ldeloff.servermonitorbot.service.ssh.SshService;
import ru.ldeloff.servermonitorbot.service.user.UserService;

@Service
public class GetStatusSessions extends CommandTemplate {
    final SshService sshService;

    public GetStatusSessions(UserService userService, RoleService roleService, SshService sshService) {
        super(userService, roleService);
        this.sshService = sshService;
    }

    @Override
    public SendMessage actionForAuth(User user, SendMessage message) {
        return sshService.getStatusSessions(message);
    }
}
